#!/bin/bash

IGNORE_UNITS=portlogger,stml2,debugprint,mtargs,ods

FILES=$(ls *mod.scm|grep -v import)

if [[ utils/plot-uses.scm -nt utils/plot-uses ]];then
	oldcsc csc utils/plot-uses.scm
fi

./utils/plot-uses todot $IGNORE_UNITS $FILES > unitdeps.dot
dot unitdeps.dot -Tpdf -o unitdeps.pdf
